#define RTC_READ     0xD1 
#define RTC_WRITE    0xD0 
#define TIME_ADR     0x00 
#define DATE_ADR     0x04 
#define ALRM1_ADR    0x07 
#define ALRM2_ADR    0x0B 
#define CONF_ADR     0x0E 
#define Stat_ADR     0x0F 
#define MASK_HOUR    0x3F 
#define MASK_MONTH   0x1F 

void GetTime ( BYTE *bHours, BYTE *bMinutes, BYTE *bSeconds ) 
{ 
   i2c_start(); 
   i2c_write( RTC_WRITE );    // Set RTC in Write Mode 
   i2c_write( TIME_ADR );     // Set the Adress to read 
   i2c_stop(); 

   i2c_start(); 
   i2c_write( RTC_READ );   // Set RTC in Read Mode 
   *bSeconds = i2c_read();  // Read Second from RTC 
   *bMinutes = i2c_read();  // Read :      from RTC 
   *bHours   = i2c_read(0); // Read :      from RTC 
   *bHours  &= MASK_HOUR;   // Mask the Hours 
   i2c_stop(); 
} 
